Factura Electronica - Peru

by
Odoo
v 14.0 Third Party 107
Download for v 14.0 Deploy on Odoo.sh Live Preview
Required Apps Invoicing (account)
Included Dependencies
Lines of code 4628
Technical Name l10n_pe_edi_odoofact
LicenseOPL-1
Also available in version v 15.0 v 13.0
You bought this module and need support? Click here!
Required Apps Invoicing (account)
Included Dependencies
Lines of code 4628
Technical Name l10n_pe_edi_odoofact
LicenseOPL-1
Also available in version v 15.0 v 13.0

FACTURACIÓN ELECTRÓNICA - PSE/OSE Nubefact

Localización Peruana

Nubefact - Verificado por SUNAT
OPeru

Ahora disponible para Odoo V14

CONEXIÓN DIRECTA CON PSE/OSE Nubefact

Envíe sus comprobantes a SUNAT de manera rápida y segura con Odoo. El módulo interconecta Odoo con un proveedor PSE/OSE* para la validación de sus comprobantes en SUNAT. Disponible para facturas, boletas, notas de crédito, notas de débito y anulación de comprobantes electrónicas.

Nubefact verificado por SUNAT

Verificado por SUNAT

Envío a través de un proveedor PSE/OSE autorizado por SUNAT.

Tarifas mas bajas

Tarifas Económicas

Disponible en los planes más económicos del mercado.

10% online

100% ONLINE

Envíe y consulte todos sus comprobantes en tiempo real.

Nuevas características!

  • Tipos de comprobantes electrónicos: Boleta de venta, Factura de venta, notas de crédito y notas de débito electrónica.
  • Dar de baja a comprobantes electrónicos.
  • Conexión directa a Proveedor PSE/OSE*.
  • No necesita comprar Certificado digital.
  • Envío automático de comprobantes cada 24 horas.
  • Seguimiento del estado de sus comprobantes.
  • Envío y verificación masiva de comprobantes.
  • Aplicación de descuentos globales.
  • Comprobantes prediseñados para sus comprobantes en formato A4 y ticket.

Configuración

  1. 1- Elige el proveedor PSE/OSE. Ejm: Nubefact*.
  2. 2- Ingresa la URL generada en tu cuenta del proveedor PSE/OSE.
  3. 3- Ingresa el token generado en tu cuenta del proveedor PSE/OSE

Puede solicitar una cuenta gratuita de prueba en el siguiente link www.nubefact.com

Consulte los manuales de configuracion en el siguiente link http://www.operu.pe/manuales

CARACTERISTICAS

Nuevas opciones

Ahora podrá enviar sus comprobantes en cualquier momento.

Dar de baja en SUNAT

Si el comprobante ya fue aceptado por SUNAT, podrá darle de baja dentro de los 5 dias.

Seguimiento de envíos

Haga seguimiento del envío de sus comprobantes en todo momento.

Diseño de comprobante

Imprima sus comprobantes con un formato establecido.

¿Necesitas ayuda?

Operu brinda soporte gratuito por 45 días a partir de la fecha de compra si el cliente informa un problema a través de nuestro sistema de tickets de soporte y si Operu reconoce que el problema surge debido a nuestra aplicación Odoo. Tenga en cuenta que no está autorizado a distribuir este módulo después de la compra. En caso de requerir nuestro soporte copiar el siguiente link:


Soporte Apps Operu

Copia el link

https://www.operu.pe/r/soporte-modulos

Políticas de Soporte Apps Operu

Copia el link:

https://www.operu.pe/politicas-soporte-apps-operu

Changelog

  • Última Versión 14.0.9 (2022-01-13)
  • - Se agregó el manejo de detracciones en la factura.

Desarrollado por OPerú

Expertos en Odoo

OPeru
Odoo Proprietary License v1.0
This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).
You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).
It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.
The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
Error updating version
by
segundo
on 4/15/22, 2:02 AM

Hello, I am updating the app from version 14.0.5 to version 14.0.10, but it gives me the error indicated below. How can I correct this error?

---

 Error:

Odoo Server Error


Traceback (most recent call last):

  File "D:\Odoo\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch

    result = request.dispatch()

  File "D:\Odoo\server\odoo\http.py", line 684, in dispatch

    result = self._call_function(**self.params)

  File "D:\Odoo\server\odoo\http.py", line 360, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "D:\Odoo\server\odoo\service\model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "D:\Odoo\server\odoo\http.py", line 348, in checked_call

    result = self.endpoint(*a, **kw)

  File "D:\Odoo\server\odoo\http.py", line 913, in __call__

    return self.method(*args, **kw)

  File "D:\Odoo\server\odoo\http.py", line 532, in response_wrap

    response = f(*args, **kw)

  File "D:\Odoo\server\odoo\addons\web\controllers\main.py", line 1347, in search_read

    return self.do_search_read(model, fields, offset, limit, domain, sort)

  File "D:\Odoo\server\odoo\addons\web\controllers\main.py", line 1366, in do_search_read

    return Model.web_search_read(domain, fields, offset=offset, limit=limit, order=sort)

  File "D:\Odoo\server\odoo\addons\web\models\models.py", line 53, in web_search_read

    records = self.search_read(domain, fields, offset=offset, limit=limit, order=order)

  File "D:\Odoo\server\odoo\models.py", line 4833, in search_read

    result = records.read(fields)

  File "D:\Odoo\server\odoo\models.py", line 3014, in read

    return self._read_format(fnames=fields, load=load)

  File "D:\Odoo\server\odoo\models.py", line 3034, in _read_format

    vals[name] = convert(record[name], record, use_name_get)

  File "D:\Odoo\server\odoo\models.py", line 5660, in __getitem__

    return self._fields[key].__get__(self, type(self))

  File "D:\Odoo\server\odoo\fields.py", line 1019, in __get__

    self.compute_value(recs)

  File "D:\Odoo\server\odoo\fields.py", line 1175, in compute_value

    records._compute_field_value(self)

  File "D:\Odoo\server\odoo\addons\mail\models\mail_thread.py", line 410, in _compute_field_value

    return super()._compute_field_value(field)

  File "D:\Odoo\server\odoo\models.py", line 4055, in _compute_field_value

    getattr(self, field.compute)()

  File "D:\Odoo\server\odoo\addons\account\models\account_journal_dashboard.py", line 20, in _kanban_dashboard

    journal.kanban_dashboard = json.dumps(journal.get_journal_dashboard_datas())

  File "D:\Odoo\server\odoo\addons\account\models\account_journal_dashboard.py", line 220, in get_journal_dashboard_datas

    currency = self.currency_id or self.company_id.currency_id

  File "D:\Odoo\server\odoo\fields.py", line 2483, in __get__

    return super().__get__(records, owner)

  File "D:\Odoo\server\odoo\fields.py", line 996, in __get__

    recs._fetch_field(self)

  File "D:\Odoo\server\odoo\models.py", line 3063, in _fetch_field

    self._read(fnames)

  File "D:\Odoo\server\odoo\models.py", line 3130, in _read

    cr.execute(query_str, params + [sub_ids])

  File "<decorator-gen-3>", line 2, in execute

  File "D:\Odoo\server\odoo\sql_db.py", line 101, in check

    return f(self, *args, **kwargs)

  File "D:\Odoo\server\odoo\sql_db.py", line 298, in execute

    res = self._obj.execute(query, params)

Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

  File "D:\Odoo\server\odoo\http.py", line 640, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "D:\Odoo\server\odoo\http.py", line 316, in _handle_exception

    raise exception.with_traceback(None) from new_cause

psycopg2.errors.UndefinedColumn: no existe la columna account_journal.l10n_pe_edi_send_to_client

LINE 1: ...pe_edi_is_einvoice" as "l10n_pe_edi_is_einvoice", "account_j...

                                                             ^


Módulos para la versión 15 de odoo?
by
José Alonso Vargas Ojeda
on 12/12/21, 2:12 PM

¿Hay planes de portar a la versión 15 estos módulos?


error cuando quieres vender al mismo cliente
by
leandro
on 5/12/21, 5:09 PM

este error muestra cuando quieres registrar pago de una venta generada al mismo cliente ya sea con ruc o dni:

La entrada de diario publicada debe tener un número de secuencia único por empresa. Números problemáticos: CSH1/2021/05/0001


CODIGO QR
by
leandro
on 5/10/21, 4:28 PM

EL CODIGO QR SALE PIXELEADO, ALGUNA SOLUCION ?